Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.reporting
[Groovy] Class SimpleGraphRenderer

    java.lang.Object
      org.codehaus.groovy.grails.resolve.reporting.SimpleGraphRenderer

All Implemented Interfaces:
  DependencyGraphRenderer

    @groovy.transform.CompileStatic
    class SimpleGraphRenderer
    extends java.lang.Object

A graph renderer that outputs a dependency graph to system out or the given writer.

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`boolean` | `ansiEnabled`
`java.lang.String` | `description`
`java.lang.String` | `scope`

Constructor Summary
`SimpleGraphRenderer(java.lang.String scope, java.lang.String description)`

Method Summary
`void` | `render(GraphNode root, java.io.Writer writer)`
`void` | `render(GraphNode root)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### ansiEnabled

    boolean ansiEnabled

### description

    java.lang.String description

### scope

    java.lang.String scope

Constructor Detail

### SimpleGraphRenderer

    SimpleGraphRenderer(java.lang.String scope, java.lang.String description)

Method Detail

### render

    void render(GraphNode root, java.io.Writer writer)

### render

    void render(GraphNode root)

Groovy Documentation